# Generated by Django 3.2.18 on 2023-04-14 17:35

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('base', '0030_resourcelog_base_resour_appname_298cbc_idx'),
    ]

    operations = [
        migrations.CreateModel(
            name='Resource',
            fields=[
                (
                    'id',
                    models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
                ),
                ('title', models.CharField(max_length=50, verbose_name='Title')),
                ('slug', models.SlugField(unique=True, verbose_name='Identifier')),
                ('description', models.TextField(verbose_name='Description')),
                (
                    'api_url',
                    models.URLField(
                        default='https://gw.dgfip.finances.gouv.fr/impotparticulier/1.0',
                        max_length=256,
                        verbose_name='DGFIP API base URL',
                    ),
                ),
                ('oauth_username', models.CharField(max_length=128, verbose_name='DGFIP API Username')),
                ('oauth_password', models.CharField(max_length=128, verbose_name='DGFIP API Password')),
                (
                    'oauth_scopes',
                    models.CharField(max_length=128, verbose_name='DGFIP API Scopes', blank=True),
                ),
                (
                    'id_teleservice',
                    models.TextField(max_length=128, verbose_name='DGFIP API ID_Teleservice', blank=True),
                ),
                (
                    'users',
                    models.ManyToManyField(
                        blank=True,
                        related_name='_api_impot_particulier_resource_users_+',
                        related_query_name='+',
                        to='base.ApiUser',
                    ),
                ),
            ],
            options={
                'verbose_name': 'API Impot Particulier',
            },
        ),
    ]
