# passerelle - uniform access to multiple data sources and services
# Copyright (C) 2022  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.exceptions import ValidationError
from django.utils.translation import gettext_lazy as _
from OpenSSL import crypto


def validate_certificate(value):
    try:
        crypto.load_certificate(crypto.FILETYPE_PEM, value.open().read())
    except Exception:
        raise ValidationError(_('Invalid certificate.'))


def validate_private_key(value):
    try:
        crypto.load_privatekey(crypto.FILETYPE_PEM, value.open().read())
    except Exception:
        raise ValidationError(_('Invalid private key.'))
