# passerelle - uniform access to multiple data sources and services
# Copyright (C) 2021 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.urls import re_path

from .views import TypeIntervention, TypeInterventionAsBlocks

management_urlpatterns = [
    re_path(
        r'^(?P<slug>[\w,-]+)/type-intervention/as-blocks/$',
        TypeInterventionAsBlocks.as_view(),
        name='toulouse-smart-type-intervention-as-blocks',
    ),
    re_path(
        r'^(?P<slug>[\w,-]+)/type-intervention/$',
        TypeIntervention.as_view(),
        name='toulouse-smart-type-intervention',
    ),
]
